sc::OneBodyDerivInt(3)

NAME
sc::OneBodyDerivInt -

OneBodyDerivInt is an abstract base class for objects that compute one body derivative integrals.

SYNOPSIS

#include <obint.h>

Inherits sc::RefCount.

Inherited by sc::OneBodyDerivIntCCA, and sc::OneBodyDerivIntV3.

  Public Member Functions
OneBodyDerivInt (Integral *, const Ref< GaussianBasisSet > &b)
OneBodyDerivInt (Integral *, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2)
int nbasis () const
Return the number of basis functions on center one.
int nbasis1 () const
Return the number of basis functions on the center one.
int nbasis2 () const
Return the number of basis functions on the center two.
int nshell () const
Return the number of shells on center one.
int nshell1 () const
Return the number of shells on center one.
int nshell2 () const
Return the number of shells on center two.
Ref< GaussianBasisSet > basis ()
Return the basis set on center one.
Ref< GaussianBasisSet > basis1 ()
Return the basis set on center one.
Ref< GaussianBasisSet > basis2 ()
Return the basis set on center two.
const double * buffer () const
The computed shell integrals will be put in the buffer returned by this member.
virtual void compute_shell (int ish, int jsh, DerivCenters &)=0
Compute the derivative integrals and place the result in the buffer returned by buffer().
virtual void compute_shell (int ish, int jsh, int center)=0
Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer().

  Protected Attributes
Integral * integral_
Ref< GaussianBasisSet > bs1
Ref< GaussianBasisSet > bs2
double * buffer_

Detailed Description

OneBodyDerivInt is an abstract base class for objects that compute one body derivative integrals.

Member Function Documentation

  const double* sc::OneBodyDerivInt::buffer () const

The computed shell integrals will be put in the buffer returned by this member.

  virtual void sc::OneBodyDerivInt::compute_shell (intish, intjsh, DerivCenters &) [pure virtual]

Compute the derivative integrals and place the result in the buffer returned by buffer().

Implemented in sc::OneBodyDerivIntCCA, and sc::OneBodyDerivIntV3.

  virtual void sc::OneBodyDerivInt::compute_shell (intish, intjsh, intcenter) [pure virtual]

Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer().

Implemented in sc::OneBodyDerivIntCCA, and sc::OneBodyDerivIntV3.

Author

Generated automatically by Doxygen for MPQC from the source code.